GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::GtStride Struct Reference
GTPin: GEN Architecture

Structure that specifies striding scheme of the register region. More...

`#include <gt_ins_fields.h>`

## Public Member Functions
constexpr | GtStride ()
| Default constructor.
constexpr | GtStride (GtVertStride v, GtWidth w, GtHorzStride h)
| Construct a GtStride object for the specified vertical stride, width, and the horizontal stride.
constexpr bool | IsValid () const
| Return true if this object represents a valid striding scheme of the register region.

## Detailed Description

Structure that specifies striding scheme of the register region.

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT